DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/chatbot/{chatbotId}/folder

List all folders with documents for a chatbot

List all folders with documents for a chatbot

POST/chatbot/{chatbotId}/folderarrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The UUID of the chatbot
double_arrow
Returns 200
folders
array
rootDocuments
array
count
object
folders
number
documents
number
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/folder' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "folders": [
    "folders"
  ],
  "rootDocuments": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "filename": "filename",
      "contentType": "contentType",
      "fileSize": 0,
      "status": "status",
      "processedAt": "2026-01-01T00: 00:00Z",
      "metadata": {},
      "createdAt": "2026-01-01T00: 00:00Z"
    }
  ],
  "count": {
    "folders": 0,
    "documents": 0
  }
}